#include <iostream>
#include <string>
#include <algorithm>
#include <iomanip>
#include <vector>

int lunarAdd(int a, int b){
  std::string a_str = std::to_string(a);
  std::string b_str = std::to_string(b);
  while(a_str.size() < b_str.size()) a_str = "0" + a_str;
  while(b_str.size() < a_str.size()) b_str = "0" + b_str;
  std::string result = "";
  for(size_t i = 0; i < a_str.size(); ++i){
    result += std::to_string(std::max(a_str[i] - '0', b_str[i] - '0'));
  }
  return stoi(result);
}
int lunarMulti(int a, int b){
  std::string a_str = std::to_string(a);
  std::string b_str = std::to_string(b);
  
  std::vector<std::string> partialResults;
  
  for (size_t i = 0; i < b_str.size(); ++i){
    std::string partialResult = "";
    for (size_t j = 0; j < a_str.size(); ++j){
      partialResult += std::to_string(std::min(a_str[j] - '0', b_str[i] - '0'));
    }
    partialResult += std::string(b_str.size() - 1 - i, '0');
    partialResults.push_back(partialResult);
  }
  
  int result = 0;
  for (const auto& part : partialResults){
    result = lunarAdd(result, stoi(part));
  }
  return result;
}

int main(){
  long long int a, b;
  std::cin >> a >> b;
  std::cout << lunarAdd(a, b) << " ";
  std::cout << lunarMulti(a, b);
}